Page MenuHomePhabricator

Citations field becomes type with just a single value
Closed, ResolvedPublic

Description

In the references endpoint the citations field should become type with just a single (enum) value of "web", "news", "journal", "book", or "generic".

  • We show only one single value in the type field.
  • If there is a single cite tag anywhere in the reference content or there are multiple cite tags with the same value we use that value.
  • In other cases (i.e. if there are none or multiple cite tags with different values) we use "generic".

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterReferences: citation type

Event Timeline

bearND triaged this task as Medium priority.Dec 12 2017, 6:16 AM
bearND created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2017, 6:16 AM

Change 397867 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] References: citation type

https://gerrit.wikimedia.org/r/397867

Change 397867 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] References: citation type

https://gerrit.wikimedia.org/r/397867

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-01-04T18:52:14Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@8bcffa9]: Update mobileapps to a4ba9fd (T182330 T177430 T170690 T182652 T184198)

Mentioned in SAL (#wikimedia-operations) [2018-01-04T18:58:14Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@8bcffa9]: Update mobileapps to a4ba9fd (T182330 T177430 T170690 T182652 T184198) (duration: 06m 01s)

bearND closed this task as Resolved.Jan 5 2018, 6:46 PM